package com.eitc.patient.enums;

/**
 * MedicalHistoryDiseaseTypeEnum
 *
 * @author mtx
 * @date: 2024/05/22 8:52
 */
public enum MedicalHistoryDiseaseTypeEnum {

    // 疾病来源（1患者，2医生）
    ALLERGY_HISTORY(1, "过敏史"),
    PAST_HISTORY(2, "既往史"),
    FAMILY_HISTORY(3, "家族史");

    private final Integer code;
    private final String info;

    MedicalHistoryDiseaseTypeEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public Integer getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
